=== debian/changelog ===
lomiri-system-settings (1.0~git20221028.ca6da85-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream Git snapshot.
  * debian/patches/:
    + Drop 0001_copyright-headers-Use-uniform-spelling-for-copyright.patch.
      Applied upstream.
  * debian/control:
    + Switch from ubports-wallpapers to lomiri-wallpapers (currently in
      Debian's NEW queue); comment out lomiri-keyboard-data (we don't
      build the language plugin for now). (Closes: #1021524).
  * debian/copyright:
    + Update copyright attributions.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Let blhc fail

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Oct 2022 22:58:33 +0200

lomiri-system-settings (1.0~git20221004.572f3a9-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1007782).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Oct 2022 17:22:47 +0200
