=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-system-settings \
HEAD debian uupdate
