=== debian/changelog ===
lomiri-system-settings (1.0~git20221229.bc061a4-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop patch 2002 in favour of patches 000{1,2}_bt-test-fix-with-modern-
      python-dbusmock.patch.
  * debian/rules:
    + Enable 'MODERN_PYTHON_DBUSMOCK' CMake option.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 12:57:25 +0100
