=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,16 @@
 export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
 endif
 
+
+
 export HOME=$(CURDIR)/debian/build
 
 override_dh_auto_configure:
 	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
 	# So until Debian bug 719148 is fixed, do it ourselves.
-	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" $(CONFIGURE_FLAGS)
+	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var"	\
+	                     -DMODERN_PYTHON_DBUSMOCK=ON		\
+	                     $(CONFIGURE_FLAGS)
 
 override_dh_auto_build:
 	dh_auto_build --parallel
