=== debian/changelog ===
lomiri-system-settings (1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Don't update pot file during build. (This should never have landed here!).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 14:21:04 +0100
