=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                suru-icon-theme,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git
