=== lib/CMakeLists.txt ===
add_subdirectory(LomiriSystemSettingsPrivate)
add_subdirectory(LomiriSystemSettings)
