=== schema/CMakeLists.txt ===
install(FILES com.lomiri.lomiri-system-settings.gschema.xml DESTINATION share/glib-2.0/schemas)
