=== debian/changelog ===
lomiri-system-settings (1.0.1-2) unstable; urgency=medium

  * debian/control:
    + Add to D (l-s-s): fonts-noto-core.
  * debian/patches:
    + Add 2002_use-Noto-font-instead-of-Ubuntu-font.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 00:03:40 +0100

lomiri-system-settings (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2001_no_language_plugin.patch. Add 1001_use-maliit-keyboard-for-
      language-plugin.patch instead.
    + Add 2001_disable-current-language-switching.patch. Disable instantaneous
      language switching as this is not supported in Debian's AccountsService.
  * debian/control:
    + Add to D: maliit-keyboard (and drop commented out lomiri-keyboard-data).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2023 08:18:33 +0100
