=== debian/control ===
--- 
+++ 
@@ -65,10 +65,11 @@
          click | ubuntu-snappy-cli,
          gir1.2-glib-2.0,
          gsettings-desktop-schemas,
+         fonts-noto-core,
          liblomirisystemsettings1 (= ${binary:Version}),
          lomiri-indicator-network,
-#         lomiri-keyboard-data,
          lomiri-schemas,
+         maliit-keyboard,
          python3,
          python3-dbus,
          python3-gi,
