=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 override_dh_auto_build:
 	dh_auto_build --parallel
-	$(MAKE) -j$(nproc) -C obj-$(DEB_HOST_GNU_TYPE) pot
 
 override_dh_auto_clean:
 	dh_auto_clean
