=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-system-settings/tags .*/lomiri-system-settings-(\d\S+)\.tar\.gz
