## lomiri-system-settings 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.0.1 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.0.2 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -16,6 +16,7 @@
 enable_testing()
 
 option(ENABLE_TESTS "Build tests" ON)
+option(ENABLE_LIBDEVICEINFO "Build with libdeviceinfo support" OFF)
 
 if(cmake_build_type_lower MATCHES coverage)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
@@ -52,6 +53,9 @@
 pkg_search_module(ANDR_PROP libandroid-properties)
 pkg_search_module(CLICK REQUIRED click-0.4)
 pkg_check_modules(QTGSETTINGS REQUIRED gsettings-qt)
+if(ENABLE_LIBDEVICEINFO)
+    pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
+endif()
 
 set(DATA_DIR share)
 set(MODULE_DIR lomiri-system-settings)
