=== tests/mocks/CMakeLists.txt ===
--- 
+++ 
@@ -35,3 +35,4 @@
 add_subdirectory(Lomiri)
 add_subdirectory(QMenuModel)
 add_subdirectory(SystemSettings)
+add_subdirectory(MeeGo)
