=== debian/changelog ===
lomiri-system-settings (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/patches:
    + Rebase 0002_bt-test-fix-with-modern-python-dbusmock.patch and 2002_use-
      Noto-font-instead-of-Ubuntu-font.patch.
    + Add 1003_bt-test-fix-with-modern-python-dbusmock-since-30.2.patch. Fix
      build against python-dbusmock 0.30.2 and beyond. (Closes: #1060992).
    + Add patch header to 2002_use-Noto-font-instead-of-Ubuntu-font.patch.
    + Rename 1001_use-maliit-keyboard-for-language-plugin.patch to 2000_use-
      maliit-keyboard-for-language-plugin.patch (i.e. consider patch Debian-
      specific).
  * debian/control:
    + Bump versiond B-D on python3-dbusmock to 0.30.2.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 19:37:30 +0000
