=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libupower-glib-dev,
                pkg-config,
                python3-all:any,
-               python3-dbus <!nocheck>,
+               python3-dbus (>= 0.30.2) <!nocheck>,
                python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native <!nocheck>,
                python3-gi <!nocheck>,
                python3-pep8 <!nocheck>,
